2010-07-26  Atsushi Enomoto  <atsushi@ximian.com>

	* SamlSubject.cs : add missing .ctor().

2007-11-27  Atsushi Enomoto  <atsushi@ximian.com>

	* SecurityKeyIdentifier.cs : fill 'out' parameter properly (gmcs
	  does not report this as error; see bug #334258).

2007-02-21  Atsushi Enomoto  <atsushi@ximian.com>

	* InMemorySymmetricSecurityKey.cs : added some argument check.

2007-02-15  Atsushi Enomoto  <atsushi@ximian.com>

	* SecurityKeyIdentifier.cs : implemented all.
	* EncryptedKeyIdentifierClause.cs : forgot to commit; importtant
	  "return false" was missing.

2007-02-05  Atsushi Enomoto  <atsushi@ximian.com>

	* InMemorySymmetricSecurityKey.cs, SecurityKey.cs,
	  X509AsymmetricSecurityKey.cs :
	  implemented [IsSupported|IsSymmetric|IsAsymmetric]Algorithm.

2007-02-05  Atsushi Enomoto  <atsushi@ximian.com>

	* X509AsymmetricSecurityKey.cs :
	  implemented GetHashAlgorithmForSignature().

2007-01-31  Atsushi Enomoto  <atsushi@ximian.com>

	* InMemorySymmetricSecurityKey.cs : implemented some algorithm related
	  members.
	* X509ThumbprintKeyIdentifierClause.cs : thumbprint comparison was
	  broken. Now it compares byte sequences.
	* SecurityTokenResolver.cs : (removed MonoTODO.)

2007-01-11  Atsushi Enomoto  <atsushi@ximian.com>

	* X509IssuerSerialKeyIdentifierClause.cs : fixed previous change,
	  and check null argument.

2007-01-11  Atsushi Enomoto  <atsushi@ximian.com>

	* X509IssuerSerialKeyIdentifierClause.cs,
	  X509ThumbprintKeyIdentifierClause.cs : clause type is null.

2006-12-06  Atsushi Enomoto  <atsushi@ximian.com>

	* X509IssuerSerialKeyIdentifierClause.cs : IssuerSerialNumber is a
	  decimal string.

2006-10-29  Atsushi Enomoto  <atsushi@ximian.com>

	* SamlSubject.cs
	  SamlAuthorizationDecisionStatement.cs
	  SamlAssertion.cs
	  SamlConditions.cs
	  SamlAudienceRestrictionCondition.cs
	  SamlDoNotCacheCondition.cs
	  SamlEvidence.cs
	  SamlSubjectStatement.cs
	  SamlAdvice.cs
	  SamlAttribute.cs
	  SamlAuthenticationStatement.cs
	  SamlConstants.cs
	  SamlAction.cs
	  SamlAuthorityBinding.cs : implemented all WriteXml() and some of
	  ReadXml(). A couple of more API fixes.

2006-10-12  Atsushi Enomoto  <atsushi@ximian.com>

	* X509AsymmetricSecurityKey.cs : implemented IsSupportedAlgorithm().
	* EncryptedKeyIdentifierClause.cs : implemented.
	* AsymmetricSecurityKey.cs : removed MonoTODO.

2006-10-03  Atsushi Enomoto  <atsushi@ximian.com>

	* SamlSerializer.cs : fixed API; ReadXml()->ReadToken().
	* SamlAuthenticationClaimResource.cs : fixed breakage when it becomes
	  part of the build.
	* SamlDoNotCacheCondition.cs, SamlNameIdentifierClaimResource.cs :
	  new files.
	* Dummy.cs : removed. Now we can live without this.
	* X509SecurityToken.cs : fix API (virtualize Dispose()).

2006-10-03  Atsushi Enomoto  <atsushi@ximian.com>

	* SamlAuthorizationDecisionStatement.cs,
	  SamlConditions.cs,
	  SamlAudienceRestrictionCondition.cs,
	  SamlEvidence.cs,
	  SamlAuthenticationClaimResource.cs,
	  SamlSerializer.cs,
	  SamlAuthorityBinding.cs,
	  SamlCondition.cs,
	  SamlAuthorizationDecisionClaimResource.cs : new files.
	* Dummy.cs : removed all above.
	* SamlSubject.cs : added missing members.
	* X509SecurityToken.cs : seems like it does not use urn:uuid.

2006-09-27  Atsushi Enomoto  <atsushi@ximian.com>

	* LocalIdKeyIdentifierClause.cs : implemented Matches().

2006-09-22  Atsushi Enomoto  <atsushi@ximian.com>

	* X509AsymmetricSecurityKey.cs : use EncryptedXml.DecryptKey() in
	  DecryptKey() to just reuse correct implementation.
	  Implemented EncryptKey().

2006-09-22  Atsushi Enomoto  <atsushi@ximian.com>

	* X509AsymmetricSecurityKey.cs : fixed GetAsymmetricAlgorithm().
	  (URI, useOAEP)

2006-09-14  Atsushi Enomoto  <atsushi@ximian.com>

	* Dummy.cs : added more types.
	* SecurityAlgorithms.cs : fixed consts.

2006-09-14  Atsushi Enomoto  <atsushi@ximian.com>

	* UserNameSecurityToken.cs, RsaSecurityToken.cs : implemented.

2006-09-12  Atsushi Enomoto  <atsushi@ximian.com>

	* SecurityKeyIdentifierClause.cs : avoid NRE on null nonce.

2006-09-12  Atsushi Enomoto  <atsushi@ximian.com>

	* SigningCredentials.cs : new file.
	* Dummy.cs : removed above.
	* X509ThumbprintKeyIdentifierClause.cs,
	  X509SubjectKeyIdentifierClause.cs :
	  API fix and removed unused field.
	* RsaSecurityKey.cs, RsaKeyIdentifierClause.cs :
	  Implemented some members.
	* SecurityKeyIdentifierClause.cs, LocalIdKeyIdentifierClause.cs,
	  BinaryKeyIdentifierClause.cs : Added missing nonce info.
	* SamlAttribute.cs : fixed warned code: raise an error.

2006-09-12  Atsushi Enomoto  <atsushi@ximian.com>

	* X509RawDataKeyIdentifierClause.cs,
	  X509IssuerSerialKeyIdentifierClause.cs,
	  BinaryKeyIdentifierClause.cs: implemented several members.
	* SecurityToken.cs : implemented MatchesKeyIdentifierClause() and
	  ResolveKeyIdentifierClause().
	* X509SecurityToken.cs : implemented MatchesKeyIdentifierClause().
	* SecurityKeyIdentifierClause.cs : implemented CanCreateKey and
	  CreateKey().

2006-09-12  Atsushi Enomoto  <atsushi@ximian.com>

	* SecurityAlgorithms.cs : added missing constants.
	* X509AsymmetricSecurityKey.cs : implemented GetAsymmetricAlgorithm().
	* LocalIdKeyIdentifierClause.cs : added missing bits.

2006-09-07  Atsushi Enomoto  <atsushi@ximian.com>

	* SamlConstants.cs : implemented.
	* SamlAttributeStatement.cs :
	  Correct constructor chain. implemented WriteXml().
	* SamlAttribute.cs : implemented WriteXml(). API updates.
	* SamlSubjectStatement.cs : null arg check.
	* SamlAssertion.cs : write prefix.
	  Pass through NullImplementedException in WriteXml().
	* SamlSubject.cs : implemented several members.

2006-09-07  Atsushi Enomoto  <atsushi@ximian.com>

	* SamlSubject.cs, SamlConstants.cs : added missing classes.
	* Dummy.cs : removed above.
	* SamlAssertion.cs : implemented WriteXml() and more .ctor()
	  argument check.
	* SamlAttribute.cs : added missing .ctor().
	* SamlAttributeStatement.cs : derive from SamlSubjectStatement.
	* SecurityAlgorithms.cs : updated WS-SC P_SHA1 URI.
	* TlsHMAC.cs : new support file, copied from Mono.Security.
	  (WS-SecureConversation uses P_SHA from RFC 2246.)
	* InMemorySymmetricSecurityKey.cs : partly implemented
	  GetSymmetricAlgorithm() and GenerateDerivedKey().
	* X509AsymmetricSecurityKey.cs : partly implement EncryptKey.

2006-09-04  Atsushi Enomoto  <atsushi@ximian.com>

	* X509AsymmetricSecurityKey.cs : partial GetAsymmetricAlgorithm()
	  implementation. Implement DecryptKey().
	* X509ThumbprintKeyIdentifierClause.cs : certificate could be null
	  through the entire class.

	* SamlStatement.cs, SamlSubjectStatement.cs,
	  SamlAuthenticationStatement.cs : added missing members.
	* SamlAssertion.cs : added missing members. implemented .ctor().

2006-09-01  Atsushi Enomoto  <atsushi@ximian.com>

	* X509AsymmetricSecurityKey.cs : partly implemented.

2006-08-28  Atsushi Enomoto  <atsushi@ximian.com>

	* X509ThumbprintKeyIdentifierClause.cs : implemented .ctor(),
	  CreateKey() and Matches().

2006-08-14  Atsushi Enomoto  <atsushi@ximian.com>

	* SecurityTokenTypes.cs : implemented.

2006-08-04  Atsushi Enomoto  <atsushi@ximian.com>

	* InMemorySymmetricSecurityKey.cs : added another .ctor().
	* X509SecurityToken.cs : implemented [Can]CreateKeyIdentifierClause().
	* SecurityKeyIdentifier.cs : .ctor() accepts varargs.

2006-08-04  Atsushi Enomoto  <atsushi@ximian.com>

	* InMemorySymmetricSecurityKey.cs : oops, it was not added.
	* GenericXmlSecurityToken.cs : added missing members.
	* UserNameSecurityToken.cs : ValidFrom should be fixed value.

2006-08-04  Atsushi Enomoto  <atsushi@ximian.com>

	* X509IssuerSerialKeyIdentifierClause.cs : some annotations.
	* InMemorySymmetricSecurityKey.cs :
	  new file required by BinarySecurityToken.

2006-08-01  Atsushi Enomoto  <atsushi@ximian.com>

	* UserNameSecurityToken.cs : implemented.

2006-07-31  Atsushi Enomoto  <atsushi@ximian.com>

	* X509SecurityToken.cs : implemented some members.

2006-07-18  Atsushi Enomoto  <atsushi@ximian.com>

	* GenericXmlSecurityToken.cs : added.

2006-07-04  Atsushi Enomoto  <atsushi@ximian.com>

	* SecurityTokenTypes.cs : added missing type.

2006-07-04  Atsushi Enomoto  <atsushi@ximian.com>

	* SamlAssertion.cs, SamlSubjectStatement.cs, SamlAdvice.cs,
	  SamlAttribute.cs, SamlAuthenticationStatement.cs, SamlStatement.cs
	  SamlAction.cs, Dummy.cs, SamlAttributeStatement.cs:
	  some June CTP updates.
	* SymmetricKey.cs : removed old code.

2006-03-23  Atsushi Enomoto  <atsushi@ximian.com>

	* SecurityKeyType.cs SecurityKeyUsage.cs : new enums.
	* Dummy.cs : removed above.

2006-03-22  Atsushi Enomoto  <atsushi@ximian.com>

	* SecurityKeyIdentifierClause.cs SecurityTokenException.cs
	  BinaryKeyIdentifierClause.cs LocalIdKeyIdentifierClause.cs
	  X509IssuerSerialKeyIdentifierClause.cs
	  X509RawDataKeyIdentifierClause.cs
	  SecurityKeyIdentifier.cs X509ThumbprintKeyIdentifierClause.cs
	  SamlAssertionKeyIdentifierClause.cs RsaKeyIdentifierClause.cs
	  X509SubjectKeyIdentifierClause.cs
	  SecurityTokenValidationException.cs
	  EncryptedKeyIdentifierClause.cs :
	  new stubs for SecurityKeyIdentifierClause and Exception classes
	  in Feb. CTP.
	* Dummy.cs : removed above.

2006-03-22  Atsushi Enomoto  <atsushi@ximian.com>

	* SecurityToken.cs : updated to Feb.CTP API.
	* RsaSecurityToken.cs KerberosRequestorSecurityToken.cs
	  WindowsSecurityToken.cs SamlSecurityToken.cs
	  KerberosReceiverSecurityToken.cs X509SecurityToken.cs
	  UserNameSecurityToken.cs X509WindowsSecurityToken.cs :
	  new stubs for SecurityToken classes in Feb.CTP.
	* Dummy.cs : removed all above.

2006-03-22  Atsushi Enomoto  <atsushi@ximian.com>

	* SymmetricSecurityKey.cs AsymmetricSecurityKey.cs SecurityKey.cs
	  SymmetricKey.cs RsaSecurityKey.cs X509AsymmetricSecurityKey.cs :
	  stubs for SecurityKey classes in Feb.CTP.
	* Dummy.cs : removed all above.

2006-02-23  Atsushi Enomoto  <atsushi@ximian.com>

	* Dummy.cs SamlAccessDecision.cs SamlAction.cs SamlAdvice.cs
	  SamlAssertion.cs SamlAttribute.cs SamlAttributeStatement.cs
	  SamlAuthenticationStatement.cs SamlStatement.cs
	  SamlSubjectStatement.cs SecurityAlgorithms.cs SecurityToken.cs
	  SecurityTokenProvider.cs SecurityTokenResolver.cs :

	  Moving namespaces to System.IdentityModel.*.

2006-02-23  Atsushi Enomoto  <atsushi@ximian.com>

	* SecurityTokenResolver.cs : some members are removed (by nature of
	  System.ServiceModel.dll independency).

2006-02-23  Atsushi Enomoto  <atsushi@ximian.com>

	* SamlAccessDecision.cs SamlAction.cs SamlAdvice.cs
	  SamlAssertion.cs SamlAttribute.cs SamlAttributeStatement.cs
	  SamlAuthenticationStatement.cs SamlStatement.cs
	  SamlSubjectStatement.cs SecurityToken.cs :
	  Feb. CTP API changes - chapter 1.

2006-01-19  Atsushi Enomoto  <atsushi@ximian.com>

	* SamlStatement.cs : update to be in sync with sys.sec.auth changes.

2005-10-31  Atsushi Enomoto  <atsushi@ximian.com>

	* SecurityToken.cs : new file.
	* Dummy.cs : removed above.

2005-09-29  Atsushi Enomoto  <atsushi@ximian.com>

	* SamlAttribute.cs, SamlAuthenticationStatement.cs, SamlStatement.cs
	  SamlSubjectStatement.cs, SamlAttributeStatement.cs :
	  Warning fix; signatures and unused methods. More readonly check.

2005-09-28  Atsushi Enomoto  <atsushi@ximian.com>

	* SamlAccessDecision.cs, SamlAttribute.cs,
	  SamlAuthenticationStatement.cs, SamlStatement.cs,
	  SamlSubjectStatement.cs, SamlAssertion.cs,
	  SamlAttributeStatement.cs, SamlAdvice.cs, SamlAction.cs : new files.
	* Dummy.cs : removed those classes above.
